Page MenuHomePhabricator

Project icons missing in Firefox 34 on some tasklists in "Activity" dashboard
Closed, ResolvedPublic

Description

on my dashboard (and others I saw), project icons appearing in the right(?) column are missing. For rare occurences on the list the project icon is shown in the correct location or (see red circle in image) on the line before.

I'm using Firefox 34.

Event Timeline

Se4598 created this task.Jan 12 2015, 11:53 AM
Se4598 raised the priority of this task from to Needs Triage.
Se4598 updated the task description. (Show Details)
Se4598 added a project: Phabricator (Upstream).
Se4598 added a subscriber: Se4598.
Qgil added a subscriber: Qgil.Jan 12 2015, 11:59 AM

I can reproduce this problem in Firefox on our homepage. In Chrome it looks good. Weird.

Qgil triaged this task as Normal priority.Jan 12 2015, 11:59 AM
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.
Aklapper renamed this task from project icons missing on some tasklists to Project icons missing in Firefox 34 on some tasklists in "Activity" dashboard.Jan 12 2015, 12:34 PM
Aklapper set Security to None.

Puzzling. Confirming only for Firefox 34 for "Activity > New Tasks" "New Tasks" on https://phabricator.wikimedia.org/ frontpage. No such problem with Google Chrome 39 and Opera 12.16. Some CSS weirdness in Firefox?

(Redrawing by disabling certain elements in Firefox' CSS editor sometimes makes those items appear. Right-clicking on such a tag also makes them appear and mouse over shows/hides those items.)

Se4598 added a comment.EditedJan 12 2015, 3:28 PM

(Redrawing by disabling certain elements in Firefox' CSS editor sometimes makes those items appear. Right-clicking on such a tag also makes them appear and mouse over shows/hides those items.)

Right-clicking/mouse over doesn't do that for me. I played a little bit with the built-in inspector/debugger: If I disable

body {
    font: 13px/1.231 "Helvetica Neue",Helvetica,Arial,sans-serif;
}

then it displays icons for the right column (new tasks), but not for all others (Assigned+Subscribed on left column), switching the bug.

.phui-tag-view .phui-icon-view {
    position: absolute;
}

If I'm toggling the above position:absolute off (all are displayed with offset) and then back on, then firefox won't display the icon at all for all tags in both colums. (Except for the rare broken or normal icons as seen/mentioned in the description)

That is weird. Edit: sometimes it is there for couple of page load, then again not. eerie

If I disable

body {
    font: 13px/1.231 "Helvetica Neue",Helvetica,Arial,sans-serif;
}

then it displays icons for the right column (new tasks)

Was the same here, but same results also with some other CSS parameters so it might just be the browser redrawing the canvas? *shrug*

Qgil added a comment.Feb 4 2015, 7:05 PM

I see all the icons in Firefox now. The only problem is the separate icon (as shown in the screenshot of the description).

I wonder whether Phabricator can do anything here or whether this is a Firefox bug or missing HTML spec.

Qgil lowered the priority of this task from Normal to Lowest.Feb 5 2015, 5:36 PM

On the second issue of the icon being in one line and the project/user name on the next line:

The only problem is the separate icon (as shown in the screenshot of the description).
I wonder whether Phabricator can do anything here or whether this is a Firefox bug or missing HTML spec.

The project icon is prepended via a ":before" pseudo-element in CSS. Using "white-space" for the surrounding <a> element would work to have it on one line:

a.phui-tag-type-object:link { white-space: nowrap; }

but 1) needs more margin/padding on the left for the element and 2) at least in FF35 also pulls the previous word into the new line which isn't wanted in areas with limited space, e.g. Dashboards.

@Se4598: I cannot reproduce this anymore in Firefox 40. Can you?

Se4598 closed this task as Resolved.Sep 13 2015, 1:19 PM
Se4598 claimed this task.

@Se4598: I cannot reproduce this anymore in Firefox 40. Can you?

I'm currently not using phab so often, but I haven't seen it yet again.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:03 PM